package controller;

import java.io.*;
import java.util.StringTokenizer;

import model.Cell;

public class AtfManager {
	private int width;
	private int height;
	private int cells[][];

	public AtfManager(File file) {
		try {
			FileReader fileReader = new FileReader(file);
			BufferedReader reader = new BufferedReader(fileReader);

			String line = null;
			StringTokenizer parser = null;

			/* size */
			line = reader.readLine();
			parser = new StringTokenizer(line, ":x ");
			parser.nextToken();
			width = Integer.parseInt(parser.nextToken());
			height = Integer.parseInt(parser.nextToken());
			cells = new int[height][width];

			/* }X */
			for (int y = 0; y < height; y++) {
				for (int x = 0; x < width; x++) {
					cells[y][x] = Cell.MASU;
				}
			}

			/* V} */
			while ((line = reader.readLine()) != null) {
				parser = new StringTokenizer(line, "(,): ");
				int y = Integer.parseInt(parser.nextToken());
				int x = Integer.parseInt(parser.nextToken());

				cells[y - 1][x - 1] = -Integer.parseInt(parser.nextToken());
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public int getWidth() {
		return width;
	}

	public int getHeight() {
		return height;
	}

	public int[][] getCells() {
		return cells;
	}
}
