package ui;

import javax.swing.*;

import listener.CoordinateChangeEvent;
import listener.CoordinateListener;
import model.*;


@SuppressWarnings("serial")
public class CoordinateLabel extends JLabel implements CoordinateListener {

	public CoordinateLabel(final String string) {
		super(string);
	}

	public void coordinateChanged(final CoordinateChangeEvent e) {
		final Coordinate controller = e.getSource();
		if (!controller.isRegion()) {
			final int x = controller.getX();
			final int y = controller.getY();
			setText("(" + x + "," + y + ")");
		} else {
			final int w = controller.getDataWidth();
			final int h = controller.getDataHeight();
			setText("[" + w + "," + h + "]");
		}
	}

}
