package utils;

import model.*;

public class BoardUtils {

	public static boolean doForAll(Board board, EachCellOperation operation) {
		for (int row = 0; row < board.getRowCount(); row++) {
			for (int column = 0; column < board.getColumnCount(); column++) {
				boolean result = operation.operation(row, column, board);
				if (result == false) {
					return false;
				}
			}
		}
		return true;
	}

	public static boolean doForSquare(Board board, EachCellOperation operation,
			int x, int y, int width, int height) {
		for (int row = 0; row < height; row++) {
			for (int column = 0; column < width; column++) {
				boolean result = operation
						.operation(x + column, y + row, board);
				if (result == false) {
					return false;
				}
			}
		}
		return true;
	}

	public static boolean deleteBambooCell(Cell cell) {
		if (cell.compareTo(2) >= 0 && cell.compareTo(8) <= 0) {// 28͐|W
			cell.setNumber(Cell.MASU);
		}
		return true;
	}

	public static void deleteRegion(Board currentBoard, Coordinate coordinate) {
		for (int j = coordinate.getYMin(); j <= coordinate.getYMax(); j++) {
			for (int i = coordinate.getXMin(); i <= coordinate.getXMax(); i++) {
				currentBoard.setValue(Cell.KARA, i, j);
			}
		}
	}

	public static void setMap(Board currentBoard, int masu, int minX, int maxX,
			int minY, int maxY) {
		for (int j = minY; j <= maxY; j++) {
			for (int i = minX; i <= maxX; i++) {
				currentBoard.setValue(masu, i, j);
			}
		}
	}

	/** 𓚃[h̓ */
	public static void setMapLocked(Board currentBoard, int masu, int minX,
			int maxX, int minY, int maxY) {
		for (int j = minY; j <= maxY; j++) {
			for (int i = minX; i <= maxX; i++) {
				CellUtils.setValueLocked(currentBoard.getCell(i, j), masu);
			}
		}
	}

}
